using System;
using Server;
using Server.Spells.First;
using Server.Targeting;

namespace Server.Items
{
	public class MagicArrowNewWand : BaseNewWand
	{
		[Constructable]
		public MagicArrowNewWand() : base( NewWandEffect.Charges, 1, 25 )
		{
			Name = "Wand of Magic Arrow";
		}

		public MagicArrowNewWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnNewWandUse( Mobile from )
		{
			Cast( new MagicArrowSpell( from, this ) );
		}
	}
}