using System;
using Server;
using Server.Spells.Second;
using Server.Targeting;

namespace Server.Items
{
	public class MagicUntrapNewWand : BaseNewWand
	{
		[Constructable]
		public MagicUntrapNewWand() : base( NewWandEffect.Charges, 1, 20 )
		{
			Name = "Wand of Magic Untrap";
		}

		public MagicUntrapNewWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnNewWandUse( Mobile from )
		{
			Cast( new RemoveTrapSpell( from, this ) );
		}
	}
}