using System;
using Server;
using Server.Spells.Second;
using Server.Targeting;

namespace Server.Items
{
	public class StrengthNewWand : BaseNewWand
	{
		[Constructable]
		public StrengthNewWand() : base( NewWandEffect.Charges, 1, 20 )
		{
			Name = "Wand of Strength";
		}

		public StrengthNewWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnNewWandUse( Mobile from )
		{
			Cast( new StrengthSpell( from, this ) );
		}
	}
}