using System;
using Server;
using Server.Spells.Third;
using Server.Targeting;

namespace Server.Items
{
	public class FireballNewWand : BaseNewWand
	{
		[Constructable]
		public FireballNewWand() : base( NewWandEffect.Charges, 1, 15 )
		{
			Name = "Wand of FireBall";
		}

		public FireballNewWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnNewWandUse( Mobile from )
		{
			Cast( new FireballSpell( from, this ) );
		}
	}
}