using System;
using Server;
using Server.Spells.Third;
using Server.Targeting;

namespace Server.Items
{
	public class PoisonNewWand : BaseNewWand
	{
		[Constructable]
		public PoisonNewWand() : base( NewWandEffect.Charges, 1, 15 )
		{
			Name = "Wand of Poison";
		}

		public PoisonNewWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnNewWandUse( Mobile from )
		{
			Cast( new PoisonSpell( from, this ) );
		}
	}
}