using System;
using Server;
using Server.Spells.Fifth;
using Server.Targeting;

namespace Server.Items
{
	public class MindBlastNewWand : BaseNewWand
	{
		[Constructable]
		public MindBlastNewWand() : base( NewWandEffect.Charges, 1, 9 )
		{
			Name = "Wand of Mind Blast";
		}

		public MindBlastNewWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnNewWandUse( Mobile from )
		{
			Cast( new MindBlastSpell( from, this ) );
		}
	}
}