using System;
using Server;
using Server.Spells.Sixth;
using Server.Targeting;

namespace Server.Items
{
	public class InvisibilityNewWand : BaseNewWand
	{
		[Constructable]
		public InvisibilityNewWand() : base( NewWandEffect.Charges, 1, 7 )
		{
			Name = "Wand of Invisibility";
		}

		public InvisibilityNewWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnNewWandUse( Mobile from )
		{
			Cast( new InvisibilitySpell( from, this ) );
		}
	}
}