using System;
using Server;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Items
{
	public class GateTravelNewWand : BaseNewWand
	{
		[Constructable]
		public GateTravelNewWand() : base( NewWandEffect.Charges, 1, 5 )
		{
			Name = "Wand of Gate Travel";
		}

		public GateTravelNewWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnNewWandUse( Mobile from )
		{
			Cast( new GateTravelSpell( from, this ) );
		}
	}
}