using System;
using Server;
using Server.Spells.Eighth;
using Server.Targeting;

namespace Server.Items
{
	public class AirElementalNewWand : BaseNewWand
	{
		[Constructable]
		public AirElementalNewWand() : base( NewWandEffect.Charges, 1, 3 )
		{
			Name = "Wand of Air Elemental";
		}

		public AirElementalNewWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnNewWandUse( Mobile from )
		{
			Cast( new AirElementalSpell( from, this ) );
		}
	}
}